/**
 * Exit Intent
 * @param {Object} options - Options object to configure the function
 * @param {function} options.callback - Function to call when finished
 * @param {Number} [options.cookieExp] - (Options) Number of days before cookie should expire
 * @param {Number} [options.delay] - (Optional) Timeout delay in seconds
 * @param {Boolean} [options.showOnDelay] - (Optional) Should show after delay
 */
type ExitIntentOptions = {
    callback: () => void;
    cookieExp?: number;
    delay?: number;
    showOnDelay?: boolean;
};
declare const exitIntent: ({ callback, cookieExp, delay, showOnDelay, }: ExitIntentOptions) => void;
export default exitIntent;
